Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.xmldb
Interface CollectionImpl

All Superinterfaces:
  Collection, Configurable

All Known Implementing Classes:
  LocalCollection, RemoteCollection

public interface CollectionImpl
extends Collection

This interface extends org.xmldb.api.base.Collection with extensions specific to eXist.

Method Summary
`java.lang.String[]` | `getChildCollections()`
`java.util.Date` | `getCreationTime()` Returns the time of creation of the collection.
`XmldbURI` | `getPathURI()`
`java.lang.String[]` | `getResources()`
`XmldbURI` | `getURI()`
`boolean` | `isRemoteCollection()`
`void` | `storeResource(Resource res, java.util.Date a, java.util.Date b)`

Methods inherited from interface org.xmldb.api.base.Collection
`close, createId, createResource, getChildCollection, getChildCollectionCount, getName, getParentCollection, getResource, getResourceCount, getService, getServices, isOpen, listChildCollections, listResources, removeResource, storeResource`

Methods inherited from interface org.xmldb.api.base.Configurable
`getProperty, setProperty`

Method Detail

### isRemoteCollection

    public boolean isRemoteCollection()
                               throws XMLDBException

  Throws:
    `XMLDBException`

### getCreationTime

    public java.util.Date getCreationTime()
                                   throws XMLDBException

  Returns the time of creation of the collection.

  Throws:
    `XMLDBException`

### getChildCollections

    public java.lang.String[] getChildCollections()
                                           throws XMLDBException

  Throws:
    `XMLDBException`

### getResources

    public java.lang.String[] getResources()
                                    throws XMLDBException

  Throws:
    `XMLDBException`

### storeResource

    public void storeResource(Resource res,
                              java.util.Date a,
                              java.util.Date b)
                       throws XMLDBException

  Throws:
    `XMLDBException`

### getURI

    public XmldbURI getURI()

### getPathURI

    public XmldbURI getPathURI()

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.